Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001451Frama-CKernelpublic2013-07-04 10:182014-03-13 15:57
Reporterpatrick 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001451: Journalisation of -no-unicode option
DescriptionThe -no-unicode option is a execution mode for frama-c printers.
That option is not used as a debug option by the end-user of Frama-C.

So, it would be nice if that option could be journalized.

Anyway, adding -no-unicode option to the -load-script command does no effect.
Unicode are still pretty printed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004094)
signoles (manager)
2013-09-26 12:34
edited on: 2013-09-26 12:35

This behavior is documented in the user manual (p. 39). When implementing, it was discussed with --- and agreed by --- some industrial users. So I'm not sure we want to change it.

You could ask: "why such a behavior?". Because this option is usually set only on some architectures (e.g. ascii-only terminal), while one of the raison d'ĂȘtre of the journal is to be send from an user to another one.

(0004095)
signoles (manager)
2013-09-26 12:43

The issue about mixing "-no-unicode -load-script" remains...
(0004559)
signoles (manager)
2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-07-04 10:18 patrick New Issue
2013-07-04 11:19 signoles Status new => assigned
2013-07-04 11:19 signoles Assigned To => signoles
2013-09-26 12:34 signoles Note Added: 0004094
2013-09-26 12:34 signoles Status assigned => closed
2013-09-26 12:34 signoles Resolution open => won't fix
2013-09-26 12:35 signoles Note Edited: 0004094
2013-09-26 12:43 signoles Note Added: 0004095
2013-09-26 12:43 signoles Status closed => acknowledged
2013-09-26 12:43 signoles Resolution won't fix => open
2013-09-26 12:53 svn Checkin
2013-09-26 12:53 svn Status acknowledged => resolved
2013-09-26 12:53 svn Resolution open => fixed
2014-02-12 16:57 signoles Note Added: 0004559
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker